import { useEffect, useState } from 'react';
import toast from 'react-hot-toast';

function useAudioPermission() {
  const [permissionGranted, setPermissionGranted] = useState(false);

  const requestAudioPermission = async () => {
    try {
      const stream = await navigator.mediaDevices.getUserMedia({ audio: true });
      // Si la promesa getUserMedia se resuelve sin errores, el permiso ha sido concedido.
      setPermissionGranted(true);
      // Puedes hacer más cosas con el stream de audio aquí si es necesario, como reproducirlo.
    } catch (error) {
      // Si hay algún error al solicitar el permiso, puedes manejarlo aquí.
      //console.error('Error al solicitar permiso de audio:', error);
      toast.error('Error al solicitar permiso de audio');
      setPermissionGranted(false);
    }
  };

  useEffect(() => {
    requestAudioPermission();
  }, []);
  return { permissionGranted, requestAudioPermission };
}

export default useAudioPermission;